Events
Get an event
Requires `EVENTS_READ` (`CONTACTS_READ` or `CONTACTS_WRITE` also work). Includes `counts` by attendance. For app callers an event without `showInCommunity` is 404 "Event not shown in community.", and the response leaves out the CRM pipeline and any form apps can't see (see `Event`).
Requires EVENTS_READ (CONTACTS_READ or CONTACTS_WRITE also work). Includes counts by attendance. For app callers an event without showInCommunity is 404 "Event not shown in community.", and the response leaves out the CRM pipeline and any form apps can't see (see Event).
x-api-key<token>
In: header
Path Parameters
eventId*string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/events/string"{ "data": { "id": "string", "workspaceId": "string", "name": "string", "slug": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "timezone": "string", "offerStartsAt": "2019-08-24T14:15:22Z", "status": "SCHEDULED", "formId": "string", "form": { "id": "string", "name": "string" }, "pipelineId": "string", "pipeline": { "id": "string", "name": "string" }, "productIds": [ "string" ], "showInCommunity": true, "counts": { "registered": 0, "PENDING": 0, "ATTENDED": 0, "LEFT_EARLY": 0, "NO_SHOW": 0, "UNCLASSIFIED": 0 }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}
Planeward Docs